use std::path::PathBuf;

use clap::Parser;

/// Randomizes enemy placements in The Legend of Zelda: A Link to the Past for the Super Nintendo
/// Entertainment System
#[derive(Debug, Parser)]
#[clap(author, version, about)]
struct Args {
    /// path to the base rom file
    rom: PathBuf,
    /// seed number
    #[clap(short, long)]
    seed: Option<u32>,
    /// path to the base2patched.json (not used in binary mode)
    #[clap(short, long, required_unless_present = "binary")]
    base: Option<PathBuf>,
    /// path to the randomizerPatch.json (not used in binary mode)
    #[clap(short, long, required_unless_present = "binary")]
    randomizer: Option<PathBuf>,
    /// path to the enemizerOptions.json
    #[clap(short, long)]
    enemizer: PathBuf,
    /// path to the intended output file
    output: PathBuf,
    /// operate in binary mode (takes already randomized SFC and applies enemizer directly to ROM)
    #[clap(long)]
    binary: bool,
}

fn main() {
    let args = Args::parse();
}
